(* This is an example of doing PreviousShot on a particular layer *)

tell application "Wirecast"
	
	set myDoc to last document
	set normal_layer to the layer named "normal" of myDoc
	set normal_shots to every shot of normal_layer
	set normal_active to the active shot of normal_layer
	
	set myIndex to 1
	repeat with aShot in normal_shots
		if the id of aShot is the id of normal_active then
			if (myIndex is 1) then
				set the active shot of normal_layer to the last shot of normal_layer
			else
				set the active shot of normal_layer to item (myIndex - 1) of normal_shots
			end if
		end if
		set myIndex to myIndex + 1 -- bump 
	end repeat
	
end tell
